Bug 127947 - net/p5-SOAP-Lite conflicts with net/p5-SOAP
Summary: net/p5-SOAP-Lite conflicts with net/p5-SOAP
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-08 17:40 UTC by Nick Hibma
Modified: 2008-10-23 14:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Hibma 2008-10-08 17:40:03 UTC
Installing p5-SOAP and p5-SOAP-Lite at the same time overwrites SOAP::Packager:

Note the duplicate origin for the file and the failure to uninstall a package
that was installed 30 minues ago:

sudo pkg_which ./site_perl/5.8.8/SOAP/Packager.pm
Password:
[Updating the pkgdb <format:bdb_btree> in /var/db/pkg ... - 860 packages found (-0 +10) .......... done]
p5-SOAP-Lite-0.69 p5-SOAP-0.28
79%|nick@hind:/usr/local/lib/perl5 % sudo pkg_delete p5-SOAP\*
pkg_delete: unable to completely remove directory '/usr/local/lib/perl5/site_perl/5.8.8/mach/auto/SOAP'
pkg_delete: unable to completely remove directory '/usr/local/lib/perl5/site_perl/5.8.8/SOAP/Transport'
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)
pkg_delete: file '/usr/local/lib/perl5/5.8.8/man/man3/SOAP::Packager.3.gz' doesn't exist
pkg_delete: file '/usr/local/lib/perl5/5.8.8/man/man3/SOAP::Serializer.3.gz' doesn't exist
pkg_delete: file '/usr/local/lib/perl5/site_perl/5.8.8/SOAP/Packager.pm' doesn't exist
pkg_delete: file '/usr/local/lib/perl5/site_perl/5.8.8/SOAP/Serializer.pm' doesn't exist
pkg_delete: couldn't entirely delete package (perhaps the packing list is
incorrectly specified?)

Fix: 

Add a CONFLICTS line in both port Makefiles.
Comment 1 Edwin Groothuis freebsd_committer 2008-10-09 00:07:45 UTC
Maintainer of net/p5-SOAP-Lite,

Please note that PR ports/127947 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/127947

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-10-09 00:07:46 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Dmitry Marakasov freebsd_committer 2008-10-23 13:58:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 4 Dmitry Marakasov freebsd_committer 2008-10-23 13:59:38 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2008-10-23 13:59:39 UTC
amdmi3      2008-10-23 12:59:25 UTC

  FreeBSD ports repository

  Modified files:
    net/p5-SOAP          Makefile 
    net/p5-SOAP-Lite     Makefile 
  Log:
  - Add mutual CONFLICTS between net/p5-SOAP and net/p5-SOAP-Lite
  
  PR:             127947
  Submitted by:   Nick Hibma <nick at anywi dot com>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.15      +1 -1      ports/net/p5-SOAP-Lite/Makefile
  1.10      +2 -0      ports/net/p5-SOAP/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"